Report Descriptions and Configuration
Prev | Chapter 8. DNS Reports | Next

## Report Descriptions and Configuration

### Top Requesting Hosts Report

ID: `top-requesting-hosts`

Chart: bars

This report lists the requesting hosts with the most requests.

Parameters

`hosts_to_show`

  This parameter controls the number of hosts to display in the report.

  Defaults to `10`.

### Top Requesting Hosts By Method Report (Obsolete)

ID: `top-requesting-hosts-by-method`

Chart: bars

This report lists the requesting hosts with the most requests aggregated by method.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `top-requesting-hosts` in a section with the `select-resolver` filter.

Parameters

`hosts_to_show`

  This parameter controls the number of hosts to display in the report.

  Defaults to `10`.

`method`

  This parameter filters the requests just for one method. By defaults the requests are given for the "recurs" method. Possible methods are:

  nonrec

    Non-recursive requests.

  recurs

    Recursive requests.

  Defaults to `^recurs$`.

### Top Requested Names Report

ID: `top-requested-names`

Chart: bars

This report lists the most requested names.

Parameters

`names_to_show`

  This parameter controls the number of names to display in the report.

  Defaults to `10`.

### Top Requested Names By Method Report (Obsolete)

ID: `top-requested-names-by-method`

Chart: bars

This report lists the most requested names aggregated by method.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `top-requested-names` in a section with the `select-resolver` filter.

Parameters

`names_to_show`

  This parameter controls the number of names to display in the report.

  Defaults to `10`.

`method`

  This parameter filters the requests just for one method. By defaults the requests are given for the "recurs" method. Possible methods are:

  nonrec

    Non-recursive requests.

  recurs

    Recursive requests.

  Defaults to `^recurs$`.

### Distribution of Request Types by Method DNS Report

ID: `requesttype-by-method`

Chart: None

This report shows the distribution of the type of requests splitted by method.

This report doesn't have any parameters.

### Distribution of Request Types Report

ID: `requesttype-distribution`

Chart: bars

This reports on the distribution of the request types.

This report doesn't have any parameters.

### Distribution of Request Types By Method Report (Obsolete)

ID: `requesttype-distribution-by-method`

Chart: bars

This reports on the distribution of the request types aggregated over a method.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `requesttype-distribution` in a section with the `select-resolver` filter.

Parameters

`method`

  This parameter filters the requests just for one method. By defaults the requests are given for the "recurs" method. Possible methods are:

  nonrec

    Non-recursive requests.

  recurs

    Recursive requests.

  Defaults to `^recurs$`.

### Requests Summary DNS Report

ID: `requests-summary`

Chart: None

This report shows some global statistics about the requests made on the DNS server.

This report doesn't have any parameters.

### Requests Summary by Method DNS Report

ID: `requests-summary-by-method`

Chart: None

This report shows some global statistics about the requests made on the DNS server splitted by method.

This report doesn't have any parameters.

### Requests By Period DNS Report

ID: `requests-by-period`

Chart: histogram

This report shows the number of requests aggregated in configurable time periods.

Parameters

`period`

  This parameter controls the time period over which the requests are aggregated.

  Defaults to `1d`.

### Requests By Period By Method DNS Report (Obsolete)

ID: `requests-by-period-by-method`

Chart: None

This report shows the number of requests aggregated in configurable time periods.

### Warning

With the implementation of global filter, that report specification is now obsolete. You should rather use `requests-by-period` in a section with the `select-resolver` filter.

Parameters

`period`

  This parameter controls the time period over which the requests are aggregated.

  Defaults to `1d`.

`method`

  This parameter filters the requests just for one method. By defaults the requests are given for the "recurs" method. Possible methods are:

  nonrec

    Non-recursive requests.

  recurs

    Recursive requests.

  Defaults to `^recurs$`.

### Requests By Timeslot DNS Report

ID: `requests-by-timeslot`

Chart: histogram

This report shows the number of requests aggregated in configurable time slots (by hours of the day, by days of the weeks, etc.).

Parameters

`timeslot`

  This parameter controls the time slot over which the requests are aggregated.

  Defaults to `1h`.

### Requests by Period by Method DNS Report

ID: `req-by-period-by-method`

Chart: None

This report shows the number of requests aggregated in configurable time periods and splitted by the resolver's type.

Parameters

`period`

  This parameter controls the time period over which the requests are aggregated.

  Defaults to `1d`.

### Requests by Timeslot by Method DNS Report

ID: `req-by-timeslot-by-method`

Chart: None

This report shows the number of requests aggregated in configurable time slots (by hours of the day, by days of the weeks, etc.) and splitted by the resolver's type.

Parameters

`timeslot`

  This parameter controls the time slot over which the requests are aggregated.

  Defaults to `1h`.

Prev | Up | Next
Chapter 8. DNS Reports | Home | Filter Descriptions and Configuration